The officially official Devuan Forum!

You are not logged in.

#1 2020-11-13 21:51:10

swarfendor437
Member
From: Somewhere off Atlantis
Registered: 2020-10-28
Posts: 48  

[RESOLVED] Having issues installing Braille Blaster for Linux

Hi,

I am having some Java issues. I am aware that the de-facto current version in Linux appears to be version 11.0. In another distribution I had to remove 11.0 and installed 8.0. I am going seriously wrong in Devuan 3.0 for this application to work. It isn't packaged particularly well - the 'Linux version' is just a zip file which also includes the installer for Windows and Mac. The Linux version just runs from an .sh script. It needs the Java package that comes with it linked via a shortcut to the desktop. I've tried doing the same as on other OS also running KDE Plasma (but a slightly newer version of Plasma) without much issue until the most recent stable version seemed less stable than the one I had been using earlier.

This is the error message I get when trying to launch the application:

FATAL ERROR: BrailleBlaster will now close

BrailleBlaster has encountered an error, please copy this text

Book null
java.lang.RuntimeException: Fatal exception caught by main, see logs
	at org.brailleblaster.Main.handleFatalException(Main.java:182)
	at org.brailleblaster.Main.main(Main.java:76)
Caused by: org.brailleblaster.BBBootstrap$SWTLoadFailed: Could not add SWT to classpath
	at org.brailleblaster.BBBootstrap.initSWT(BBBootstrap.java:397)
	at org.brailleblaster.Main.initBB(Main.java:135)
	at org.brailleblaster.Main.initBB(Main.java:116)
	at org.brailleblaster.Main.start(Main.java:82)
	at org.brailleblaster.Main.main(Main.java:74)
Caused by: java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')
	at org.brailleblaster.BBBootstrap.initSWT(BBBootstrap.java:391)
	... 4 more

bb: 1.1.27.30-stable
utd: 1.0.19-SNAPSHOT
jlouis: No version information found
liblouis: 3.7.0.4-aph [0.2.42 ()]
Java 11.0.9 64-bit en_GB
Linux Version 4.19.0-12-amd64

Last edited by swarfendor437 (2020-11-20 21:04:28)

Offline

#2 2020-11-16 20:52:34

swarfendor437
Member
From: Somewhere off Atlantis
Registered: 2020-10-28
Posts: 48  

Re: [RESOLVED] Having issues installing Braille Blaster for Linux

If people want to look at this package I can upload it to my pCloud account and provide a link so it can be downloaded and examined.

Offline

#3 2020-11-20 21:06:15

swarfendor437
Member
From: Somewhere off Atlantis
Registered: 2020-10-28
Posts: 48  

Re: [RESOLVED] Having issues installing Braille Blaster for Linux

Having researched and found that I can import .vhd's created in VB can be imported into Qemu, I will be using the Brailleblaster version for Windows on a Windows 7 VM (which is what I am currently doing on another drive with different OS on it so I will be migrating all my stuff off of that drive to Devuan 3.0. wink

Offline

Board footer